Skip to main content
GET
/
api
/
v1
/
teams
/
{team_id}
/
today
Get Today
curl --request GET \
  --url https://api.example.com/api/v1/teams/{team_id}/today \
  --header 'Authorization: Bearer <token>'
{
  "cycle_day": 123,
  "cycle_progress": 0,
  "current_phase": "<string>",
  "running": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "loop_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "cycle_instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "occurrence_day": 123,
      "status": "<string>",
      "scheduled_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "signals_emitted": [
        "<string>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "task_status": "<string>"
    }
  ],
  "upcoming": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "loop_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "cycle_instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "occurrence_day": 123,
      "status": "<string>",
      "scheduled_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "signals_emitted": [
        "<string>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "task_status": "<string>"
    }
  ],
  "completed_today": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "loop_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "cycle_instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "occurrence_day": 123,
      "status": "<string>",
      "scheduled_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "signals_emitted": [
        "<string>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "task_status": "<string>"
    }
  ],
  "signals_fired": [
    {}
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required

Response

Successful Response

What's happening today in the team's cycle.

cycle_day
integer | null

Current day within cycle (1-indexed)

cycle_progress
number
default:0

0.0–1.0 progress through cycle

current_phase
string | null
running
LoopInstanceResponse · object[]
upcoming
LoopInstanceResponse · object[]
completed_today
LoopInstanceResponse · object[]
signals_fired
Signals Fired · object[]